Ruby - Feature #4891

Vector#normalize
06/16/2011 09:37 PM - mrkn (Kenta Murata)

Status: Closed

Priority: Normal

Assignee: marcandre (Marc-Andre Lafortune)
Target version: 1.9.3

Description
0000000000000 (@00000o00ooonoonn, ooaoo
00000000o00oo0oono0no0Do0Do0DaD

noooooooo
https://gist.github.com/1029140

History

#1 - 06/16/2011 09:39 PM - mrkn (Kenta Murata)

Bug 00000 Feature 0000000000
Bug [0 Feature 0000000000000000D00DON

#2 - 06/16/2011 09:47 PM - sorah (Sorah Fukumori)

- Tracker changed from Bug to Feature

#3 - 06/21/2011 05:39 AM - marcandre (Marc-Andre Lafortune)
- Status changed from Open to Assigned
- Assignee changed from keiju (Keiju Ishitsuka) to marcandre (Marc-Andre Lafortune)

- Target version changed from 2.0.0 to 1.9.3

Sure.

| have to merge in my announced changes to Matrix & Vector in 1.9.3 as soon as | get the time, so | could include this too. Are we after the official
feature freeze yet (I don't see the 1.9.3 branch)?

#4 - 06/27/2011 10:48 AM - sakuro (Sakuro OZAWA)

=begin
Just for curiosity's sake, what is expected from Vector[0,0,0].normalize ?

® ((<WolframAlpha|URL:http://www.wolframalpha.com/input/?i=normalize+%280%2C0%2C0%29>)) says: the zero vector cannot be normalized.
¢ The patch gives Vector[NaN, NaN, NaN].
e returns (dup of) self?
e domain error?
=end

#5 - 07/09/2011 02:41 PM - marcandre (Marc-Andre Lafortune)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied as r32467, thank you!

11/12/2025 1/1



https://gist.github.com/1029140
http://www.wolframalpha.com/input/?i=normalize+%280%2C0%2C0%29%3E
http://www.tcpdf.org

